EogURIConverter

## EogURIConverter EogURIConverter |

## Synopsis

    enum                EogUCType;
                        EogUCInfo;
    enum                EogUCError;
    #define             EOG_UC_ERROR
                        EogURIConverter;
    GQuark              eog_uc_error_quark                  (void);
    EogURIConverter *   eog_uri_converter_new               (GFile *base_file,
                                                             GdkPixbufFormat *img_format,
                                                             const char *format_string);
    gboolean            eog_uri_converter_check             (EogURIConverter *converter,
                                                             GList *img_list,
                                                             GError **error);
    gboolean            eog_uri_converter_requires_exif     (EogURIConverter *converter);
    gboolean            eog_uri_converter_do                (EogURIConverter *converter,
                                                             EogImage *image,
                                                             GFile **file,
                                                             GdkPixbufFormat **format,
                                                             GError **error);
    char *              eog_uri_converter_preview           (const char *format_str,
                                                             EogImage *img,
                                                             GdkPixbufFormat *format,
                                                             gulong counter,
                                                             guint n_images,
                                                             gboolean convert_spaces,
                                                             gunichar space_char);
    void                eog_uri_converter_print_list        (EogURIConverter *conv);

## Object Hierarchy

      GObject
       +----EogURIConverter

## Properties

      "convert-spaces"           gboolean              : Read / Write
      "counter-n-digits"         guint                 : Read / Write
      "counter-start"            gulong                : Read / Write
      "n-images"                 guint                 : Write
      "space-character"          gchar                 : Read / Write

## Description

## Details

### enum EogUCType

    typedef enum {
    	EOG_UC_STRING,
    	EOG_UC_FILENAME,
    	EOG_UC_COUNTER,
    	EOG_UC_COMMENT,
    	EOG_UC_DATE,
    	EOG_UC_TIME,
    	EOG_UC_DAY,
    	EOG_UC_MONTH,
    	EOG_UC_YEAR,
    	EOG_UC_HOUR,
    	EOG_UC_MINUTE,
    	EOG_UC_SECOND,
    	EOG_UC_END
    } EogUCType;

### EogUCInfo

    typedef struct {
    	char     *description;
    	char     *rep;
    	gboolean req_exif;
    } EogUCInfo;

### enum EogUCError

    typedef enum {
    	EOG_UC_ERROR_INVALID_UNICODE,
    	EOG_UC_ERROR_INVALID_CHARACTER,
    	EOG_UC_ERROR_EQUAL_FILENAMES,
    	EOG_UC_ERROR_UNKNOWN
    } EogUCError;

### EOG_UC_ERROR

    #define EOG_UC_ERROR eog_uc_error_quark ()

### EogURIConverter

    typedef struct _EogURIConverter EogURIConverter;

### eog_uc_error_quark ()

    GQuark              eog_uc_error_quark                  (void);

### eog_uri_converter_new ()

    EogURIConverter *   eog_uri_converter_new               (GFile *base_file,
                                                             GdkPixbufFormat *img_format,
                                                             const char *format_string);

### eog_uri_converter_check ()

    gboolean            eog_uri_converter_check             (EogURIConverter *converter,
                                                             GList *img_list,
                                                             GError **error);

### eog_uri_converter_requires_exif ()

    gboolean            eog_uri_converter_requires_exif     (EogURIConverter *converter);

### eog_uri_converter_do ()

    gboolean            eog_uri_converter_do                (EogURIConverter *converter,
                                                             EogImage *image,
                                                             GFile **file,
                                                             GdkPixbufFormat **format,
                                                             GError **error);

### eog_uri_converter_preview ()

    char *              eog_uri_converter_preview           (const char *format_str,
                                                             EogImage *img,
                                                             GdkPixbufFormat *format,
                                                             gulong counter,
                                                             guint n_images,
                                                             gboolean convert_spaces,
                                                             gunichar space_char);

### eog_uri_converter_print_list ()

    void                eog_uri_converter_print_list        (EogURIConverter *conv);

## Property Details

### The `"convert-spaces"` property

      "convert-spaces"           gboolean              : Read / Write

Default value: FALSE

### The `"counter-n-digits"` property

      "counter-n-digits"         guint                 : Read / Write

Allowed values: >= 1

Default value: 1

### The `"counter-start"` property

      "counter-start"            gulong                : Read / Write

### The `"n-images"` property

      "n-images"                 guint                 : Write

Allowed values: >= 1

Default value: 1

### The `"space-character"` property

      "space-character"          gchar                 : Read / Write

Allowed values: [32,126]

Default value: 95